epp_HostDeleteReq (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0705.host.epp_HostDeleteReq class

### org.openrtk.idl.epp0705.host

# Class epp_HostDeleteReq

- `java.lang.Object`
- - `org.openrtk.idl.epp0705.host.epp_HostDeleteReq`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_HostDeleteReq`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements necessary to delete a host in the registry. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0705/host/epp_HostDeleteReq.java,v 1.2 2003/09/10 21:29:59 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:59 $

See Also:
  `EPPHostDelete`, `epp_HostDeleteRsp`

  ## Field Summary
  `epp_Command` | `m_cmd` The common and generic command element.
  `String` | `m_name` The name of the host object to be deleted in the registry.

  ## Constructor Summary
  `epp_HostDeleteReq()` Empty constructor
  `epp_HostDeleteReq(epp_Command _m_cmd, String _m_name)` The constructor with initializing variables.

  ## Method Summary
  `epp_Command` | `getCmd()` Accessor method for the common and generic command element
  `String` | `getName()` Accessor method for the name of the host object to be deleted in the registry
  `void` | `setCmd(epp_Command value)` Accessor method for the common and generic command element
  `void` | `setName(String value)` Accessor method for the name of the host object to be deleted in the registry
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_cmd

    public epp_Command m_cmd

> The common and generic command element.
> See Also:
>   `setCmd(epp_Command)`, `getCmd()`

### m_name

    public String m_name

> The name of the host object to be deleted in the registry.
> See Also:
>   `setName(String)`, `getName()`

## Constructor Details

### epp_HostDeleteReq

    public epp_HostDeleteReq()

> Empty constructor

### epp_HostDeleteReq

    public epp_HostDeleteReq(epp_Command _m_cmd,
                             String _m_name)

> The constructor with initializing variables.
> Parameters:
>   `_m_cmd` - The common and generic command element
>   `_m_name` - The name of the host object to be deleted in the registry

## Method Details

### getCmd

    public epp_Command getCmd()

> Accessor method for the common and generic command element
> Returns:
>   The command element
> See Also:
>   `m_cmd`

### getName

    public String getName()

> Accessor method for the name of the host object to be deleted in the registry
> Returns:
>   The host name
> See Also:
>   `m_name`

### setCmd

    public void setCmd(epp_Command value)

> Accessor method for the common and generic command element
> Parameters:
>   `value` - The command element
> See Also:
>   `m_cmd`

### setName

    public void setName(String value)

> Accessor method for the name of the host object to be deleted in the registry
> Parameters:
>   `value` - The host name
> See Also:
>   `m_name`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS